# Uses of Class
org.eclipse.microprofile.openapi.apps.petstore.exception.ApiException

Packages that use ApiException
Package
Description
org.eclipse.microprofile.openapi.apps.petstore.exception
Copyright (c) 2017 Contributors to the Eclipse Foundation
org.eclipse.microprofile.openapi.apps.petstore.resource
Copyright (c) 2017 Contributors to the Eclipse Foundation

## Uses of ApiException in org.eclipse.microprofile.openapi.apps.petstore.exception

Subclasses of ApiException in org.eclipse.microprofile.openapi.apps.petstore.exception
Modifier and Type
Class
Description
`class`
`BadRequestException`
`class`
`NotFoundException`

## Uses of ApiException in org.eclipse.microprofile.openapi.apps.petstore.resource

Methods in org.eclipse.microprofile.openapi.apps.petstore.resource that throw ApiException
Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
UserResource.`getUserByName(String username)`